Name:       sl-release-scl
Version:    1
Release:    2%{?dist}
Epoch:      666
Summary:    Software collections from the CentOS SCLo SIG 

License:    GPLv2
URL:        http://wiki.centos.org/SpecialInterestGroup/SCLo
Source0:    slc6-SCLo.repo
Source3:    slc6-SCLo-Sources.repo
Source1:    RPM-GPG-KEY-CentOS-SIG-SCLo
Source2:    GPL

BuildArch: noarch

Requires:   system-release
Requires:   sl-release-scl-rh

%description
yum Configs and basic docs for Software Collections as delivered via the CentOS SCLo SIG.

%prep

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/slc6-SCLo-scl.repo
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/yum.repos.d/slc6-SCLo-scl-Sources.repo
sed -i -e "s/SCLGROUP/sclo/g" %{buildroot}%{_sysconfdir}/yum.repos.d/slc6-SCLo-scl.repo
sed -i -e "s/SCLGROUP/sclo/g" %{buildroot}%{_sysconfdir}/yum.repos.d/slc6-SCLo-scl-Sources.repo
install -p -d %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/rpm-gpg

# use a docdir
mkdir -p -m 755 %{buildroot}/%{_docdir}/sl-release-scl
install -m 644 %{SOURCE2} %{buildroot}/%{_docdir}/sl-release-scl

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/*
%{_sysconfdir}/pki/rpm-gpg
%{_docdir}/sl-release-scl/*

%changelog
* Tue Dec 08 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- build for SLC6, adding sources and debug

* Tue Oct 20 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- CERN'ify the package:
   - use linuxsoft.cern.ch repositories

* Fri Oct 02 2015 Thomas Oulevey <thomas.oulevey@cern.ch>
- Initial version.
